## r-cran-rook 1.1

=== DESCRIPTION ===
Package: Rook
Type: Package
Title: Rook - a web server interface for R
Version: 1.1-1
Date: 2014-10-20
Author: Jeffrey Horner <jeffrey.horner@gmail.com>
Maintainer: Jeffrey Horner <jeffrey.horner@gmail.com>
Description: This package contains the Rook specification and
 convenience software for building and running Rook applications. To
 get started, be sure and read the 'Rook' help file first.
Depends: R (>= 2.13.0)
Imports: utils, tools, methods, brew
License: GPL-2
LazyLoad: yes
Packaged: 2014-10-20 16:54:31 UTC; jeffrey
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-10-20 19:18:06

## r-cran-rook 1.1-1%2Bdfsg

=== debian/changelog ===
r-cran-rook (1.1-1+dfsg-2) unstable; urgency=medium

  * Added build-dep on r-cran-codetools to check for suspicious field
    assignments

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 06 Aug 2019 11:59:03 +0200

r-cran-rook (1.1-1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #931704)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 21 Feb 2019 06:31:53 -0800

## r-cran-rook 1.1-1+dfsg

=== debian/changelog ===
r-cran-rook (1.1-1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 12:06:25 +0200

=== debian/control ===
Source: r-cran-rook
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>,
           Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-brew
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rook
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rook.git
Homepage: https://cran.r-project.org/package=Rook
Rules-Requires-Root: no

Package: r-cran-rook
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: web server interface for R
 The package provides a set of routines for R to perform as a web
 server. This is used by a series of reverse dependencies to develop
 interactive interfaces to statistical analyses and reports.

Package: r-cran-rook-examples
Architecture: all
Depends: ${misc:Depends},libjs-prototype, r-cran-rook
Description: web server interface for R (examples)
 The package provides a set of routines for R to perform as a web
 server. This is used by a series of reverse dependencies to develop
 interactive interfaces to statistical analyses and reports.
 .
 This package separates the examples from the core functionality.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	if [ -d debian/r-cran-rook/usr/lib/R/site-library/Rook/exampleApps ]; then \
	  rm -fr debian/r-cran-rook/usr/lib/R/site-library/Rook/exampleApps ; \
	fi

=== debian/watch ===
version=4
options=dversionmangle=auto,repack,compression=gz,oversionmangle=s/$/+dfsg/ \
https://cloud.r-project.org/src/contrib/Rook_([-\d.]*)\.tar\.gz

## r-cran-rook 1.2+dfsg

=== DESCRIPTION ===
Package: Rook
Title: HTTP Web Server for R
Version: 1.2
Date: 2022-11-05
Description: An HTTP web server for R with a documented API to interface between R and the server. The documentation contains the Rook specification and details for building and running Rook applications. To get started, be sure and read the 'Rook' help file first.
Encoding: UTF-8
Depends: R (>= 2.13.0)
Imports: utils, tools, methods, brew
License: GPL-2
LazyLoad: yes
URL: https://github.com/evanbiederstedt/rook
BugReports: https://github.com/evanbiederstedt/rook/issues
Author: Jeffrey Horner [aut], Evan Biederstedt [aut, cre]
Maintainer: Evan Biederstedt <evan.biederstedt@gmail.com>
NeedsCompilation: yes
Packaged: 2022-11-05 23:55:46 UTC; evanbiederstedt
Repository: CRAN
Date/Publication: 2022-11-07 08:50:19 UTC

=== debian/changelog ===
r-cran-rook (1.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * lintian-overrides for false positive

 -- Andreas Tille <tille@debian.org>  Wed, 16 Nov 2022 12:06:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-rook
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rook
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rook.git
+Homepage: https://cran.r-project.org/package=Rook
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-brew
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rook
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rook.git
-Homepage: https://cran.r-project.org/package=Rook
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rook
 Architecture: any
